<?php
/**
 * @package         mod_ajo_button
 * @version         2.1.0
 * @copyright       Copyright (C) 2016 freakout.be All rights reserved.
 * @author          Danny Buytaert danny@freakout.be
 * @license         GNU General Public License version 2 or later
 */
// No direct access
defined('_JEXEC') or die();

//load fontAwesome css ?
if ($params->get('loadIconfont', '') == '1') {
    $url = $params->get('iconCDN', 'https://maxcdn.bootstrapcdn.com/font-awesome/4.6.3/css/font-awesome.min.css');
    // detect extension
    $extension = pathinfo(parse_url($url, PHP_URL_PATH), PATHINFO_EXTENSION);
    //load css or js url
    $document = JFactory::getDocument();
    if ($extension == 'css') {
        $document->addStyleSheet($url, [], ['crossorigin' => 'anonymous']);
    }
    if ($extension == 'js') {
        $document->addScript($url, [], ['crossorigin' => 'anonymous']);
    }
}

// Create Link from url field
$link = JStringPunycode::urlToUTF8($params->get('linkUrl', ''));
// Or create link from menu
if ($params->get('linkMenu')) {
    $menu = JFactory::getApplication()->getMenu();
    $menuObject = $menu->getItem($params->get('linkMenu'));
    $link = $menuObject->link . "&Itemid=" . $params->get('linkMenu');
}

// create accessible icon
if ($params->get('iconClass')) {
    if ($params->get('iconStyle')) {
        $style = ' style="'.$params->get('iconStyle', '').'" ';
    } else {
        $style = "";
    }

    $icon = '<span class="' . $params->get('iconClass') . '" ' . $style . ' aria-hidden="true"></span>';
} else {
    $icon = "";
}

//change button size class for Bootstrap 2
if ($params->get('bootstrapVersion') == '2') {
    switch ($params->get('buttonSize')) {
        case "btn-lg" :
            $btnsize = "btn-large";
            break;
        case "btn-sm" :
            $btnsize = "btn-small";
            break;
        case "btn-xs" :
            $btnsize = "btn-mini";
            break;
        default :
            $btnsize = "";
    }
} else {
    $btnsize = $params->get('buttonSize', '');

}

$buttonStyle = $params->get('buttonStyle', '');
$buttonNowrap="";
$buttonBlock = $params->get('buttonBlock', '');
//set for Bootstrap 4
if ($params->get('bootstrapVersion') == '4') {
    $btnsize = $params->get('buttonSize4', '');
    $buttonStyle = $params->get('buttonStyle4', 'btn-primary');
    $buttonNowrap = $params->get('buttonNowrap', '');
}
//set for Bootstrap 5
if ($params->get('bootstrapVersion') == '5') {
    $btnsize = $params->get('buttonSize4', '');
    $buttonStyle = $params->get('buttonStyle4', 'btn-primary');
    $buttonNowrap = $params->get('buttonNowrap', '');
    $buttonBlock = $params->get('buttonBlock', '');
    if ( $buttonBlock=='btn-block'){
        $buttonBlock='w-100';
    }
}


$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx'));

require JModuleHelper::getLayoutPath('mod_ajo_button', $params->get('layout', 'default'));